package LATMOS::Accounts::Bases::Dummy::User;

use strict;
use warnings;
use base qw(LATMOS::Accounts::Bases::Objects);

our $VERSION = (q$Rev$ =~ /^Rev: (\d+) /)[0];

my %fields_map = (
    username => 'username',
    homeDirectory => 'home',
);

sub new {
    my ($class, $base, $id) = @_;
    bless {}, $class;
}

sub _create {
    my ($class, $id);
    return 1;
}

sub _canonical_fields {
    my ($self) = @_;
    return keys %fields_map;
}

sub _get_field_name {
    my ($self, $field) = @_;
    return $fields_map{$field};
}

1;
